# Generated by Django 3.0 on 2020-05-29 03:41
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('title', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('datetime_updated', models.DateTimeField(auto_now=True, db_column='MODIFIED_DATE', null=True)),
                ('datetime_created', models.DateTimeField(auto_now_add=True, db_column='CREATED_DATE')),
                ('id', models.CharField(db_column='TITLE_GROUP_ID', max_length=15, primary_key=True, serialize=False)),
                ('name', models.CharField(db_column='TITLE_GROUP_NAME', max_length=50, unique=True)),
                ('account_created',models.ForeignKey(db_column='CREATED_BY', on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('account_updated', models.ForeignKey(db_column='MODIFIED_BY', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'STM_TITLE_GROUP',
                'ordering': ['-id'],
                'managed': settings.IS_MIGRATE,
                'default_permissions': ('view', 'view_detail', 'add', 'change', 'delete'),
            },
            bases=(utils.fields.SaveMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Structure',
            fields=[
                ('id', models.CharField(db_column='STRUCTURE_ID', max_length=15, primary_key=True, serialize=False)),
                ('parent', models.ForeignKey(db_column='PARENT_ID', null=True, on_delete=django.db.models.deletion.SET_DEFAULT, related_name='parent_set', to='self')),
                ('title', models.ForeignKey(db_column='TITLE_ID', null=True, on_delete=django.db.models.deletion.SET_DEFAULT, related_name='structure_title_set', to='title.Title')),
                ('group', models.ForeignKey(db_column='TITLE_GROUP_ID', null=True, on_delete=django.db.models.deletion.SET_DEFAULT,related_name='title_group_set', to='title_group.Group')),

                ('datetime_created', models.DateTimeField(auto_now_add=True, db_column='CREATED_DATE')),
                ('account_created',models.ForeignKey(db_column='CREATED_BY', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),


            ],
            options={
                'db_table': 'STM_TITLE_GROUP_STRUCTURE',
                'managed': settings.IS_MIGRATE,
                'default_permissions': ('view', 'view_detail', 'add', 'change', 'delete'),
            },
            bases=(utils.fields.SaveMixin, models.Model),
        ),
    ]
